# To get started with security, check out the documentation:
# http://symfony.com/doc/current/book/security.html
security:
    encoders:
        Symfony\Component\Security\Core\User\User:
            algorithm: bcrypt
            cost: 12
    role_hierarchy:
        ROLE_ADMIN:       ROLE_AUTHOR
        ROLE_SUPER_ADMIN: [ROLE_AUTHOR, ROLE_ADMIN, ROLE_ALLOWED_TO_SWITCH]

    providers:
        in_memory:
            memory:
                users:
                    admin: { password: $2a$12$AsAm/SmpMHwNWCtemoE1LuajNFOZ0C7.VPE5Y4JPGuoaFHfo539fy, roles: [ 'ROLE_SUPER_ADMIN' ] }
    firewalls:
        # disables authentication for assets and the profiler, adapt it according to your needs
        dev:
            pattern: ^/(_(profiler|wdt)|css|images|js)/
            security: false
        main:
            anonymous: ~
            form_login:
                login_path: /login
                check_path: /login_check
            logout:
                path: /logout
                target: /admin
    access_control:
        - { path: ^/admin, roles: ROLE_AUTHOR }
        - { path: ^/efconnect, role: ROLE_AUTHOR }
        - { path: ^/elfinder, role: ROLE_AUTHOR }        